# $Revision: 1.34 $, $Date: 2003/10/06 21:57:39 $
# TODO: wait for nettle 1.8, uncomment shared-nettle patch
Summary:	GNU implementation of the Secure Shell protocols
Summary(pl):	Implementacja GNU bezpiecznego shella
Name:		lsh
Version:	1.5.3
Release:	0.1
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.lysator.liu.se/pub/security/lsh/%{name}-%{version}.tar.gz
# Source0-md5:	7fa504d4ee7b39c27cc35c372056d17b
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
# Source1-md5:	164cdde8060577b54954c3f9f067927e
Patch0:		%{name}-info.patch
Patch1:		%{name}-shared-nettle.patch
URL:		http://www.lysator.liu.se/~nisse/lsh/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	liboop-devel
#BuildRequires:	nettle-devel >= 1.8
BuildRequires:	pam-devel
BuildRequires:	slib
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	 /etc/%{name}

%description
LSH is the GNU implementation of the secure shell protocols (secsh2).
LSH includes a client, a server, and a few scripts and utility
programs.

Note: it doesn't support SSH1 protocol, but the server can fallback to
/usr/sbin/sshd - if you need SSH1 support in server, please install
appropriate daemon (openssh-server, SSH.COM 1.2.x) as /usr/sbin/sshd.

%description -l pl
LSH jest implementacj GNU protokow bezpiecznego shella (secsh2).
Zawiera klienta, serwer, kilka skryptw i narzdzi.

Uwaga: ta implementacja nie obsuguje protokou SSH1, ale serwer moe
wywoa /usr/sbin/sshd. Jeli obsuga SSH1 jest potrzebna w serwerze,
naley zainstalowa odpowiedniego demona (openssh-server lub SSH.COM
1.2.x) jako /usr/sbin/sshd.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1

%build
rm -f missing
cd src/spki
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../..
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-sshd1=%{_sbindir}/sshd \
	--with-zlib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig,logrotate.d},/var/spool/lsh}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS ChangeLog FAQ NEWS README
%doc doc/{HACKING,NOTES,PORTS,TASKLIST,TODO,*.txt}
#%attr(754,root,root) /etc/rc.d/init.d/*
#%attr(640,root,root) /etc/sysconfig/*
#%attr(640,root,root) /etc/logrotate.d/*
%dir %attr(6750,root,root) /var/spool/lsh
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_infodir}/lsh.info*
%{_mandir}/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lsh.spec,v $
Revision 1.34  2003/10/06 21:57:39  qboosh
- up to 1.5.3 (fixed heap buffer overflow - remote r00t possibility)

Revision 1.33  2003/07/19 23:56:20  qboosh
- up to 1.5.2
- updated shared-nettle patch (but commented out - needs nettle 1.8)

Revision 1.32  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 05:50:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/04 21:12:26  qboosh
- updated to 1.5.1
- removed obsolete remove_ipv6_check,UINT64,ac25x patches
- added shared-nettle to use system shared nettle library
- R: openssh-server replaced by note in descriptions

Revision 1.29  2002/10/07 13:46:09  qboosh
- BR: autoconf,automake

Revision 1.28  2002/09/24 14:40:18  kloczek
- more macros.

Revision 1.27  2002/05/24 23:17:15  qboosh
- new %%doc
- added ac25x patch needed for autoconf 2.53

Revision 1.26  2002/05/21 23:14:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/05/14 22:02:27  kloczek
- added info patch (added texinfo to BuildRequires),
- few small cosmetics.

Revision 1.24  2002/05/14 20:59:37  ankry
- updated to version 1.3.7
- remove unnecessary patches
- BR: pam-devel, liboop-devel; R: openssh-server
- added spool dir
- TODO: configuration files and initscripts
- STBR for test

Revision 1.23  2002/05/14 15:44:24  ankry
- added autoconf/automake
- lsh-automake.patch to fix some automake problems (unfinished)
- lsh-UINT64.patch to fix compilation on alpha
- NFY

Revision 1.22  2002/05/14 11:57:17  ankry
- added lsh-remove_ipv6_check.patch to enable ipv6 support compilation on
  systems not supporting ipv6
- disable ipv6 support; it does not compile at the moment
- %%changelog fixes
- release 3, STBR for test

Revision 1.21  2002/04/24 22:23:02  ankry
- added some man pages from Debian
- release 2

Revision 1.20  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:13:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/09/18 22:56:52  qboosh
- updated to 1.3.4
- fixed build and summaries/descriptions
- noc99 patch to allow build without C99-compliant compiler
(builds but not finished; note that it doesn't have PAM support;
 and openssh supports secsh2 protocol since ~May 2000)

Revision 1.17  2001/07/26 05:42:11  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.15  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.14  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.11  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.10  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.7  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.6  1999/09/19 09:41:26  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.5  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %%changelog (for automating them).

Revision 1.3  1999/07/10 13:42:29  kloczek
- cosmetics.

Revision 1.2  1999/07/09 16:21:58  kloczek
- added line on top spec file with cvs tags ($ Revision:$ and $ Date:$).

Revision 1.1  1999/05/25 11:56:30  wiget
- new entry
- based on zebra.spec

* Sun May 16 1999 Artur Frysiak <wiget@pld.org.pl>
  [19990516-1]
- initial version
